# mxchat_weather

Jednoduchý Maubot plugin pro Matrix, který umožňuje zobrazit aktuální počasí ve zvoleném městě pomocí příkazu `!pocasi`.

## 📦 Instalace

1. Nahraj plugin do Maubotu přes webové rozhraní (`.mbp` build viz níže)
2. Vytvoř instanci bota s tímto pluginem
3. Do configu zadej svůj API klíč z [OpenWeatherMap](https://openweathermap.org/api)

```yaml
api_key: "tvůj_api_klíč"
default_location: "Sokolov"
```

## 💬 Použití

```
!pocasi           # zobrazí počasí pro výchozí město
!pocasi Brno      # zobrazí počasí pro zadané město
```

## 🛠 Build `.mbp` balíčku

```bash
pip install maubot
mbc build
```

Soubor `com.archos.weather-v0.1.0.mbp` poté nahraj do Maubotu jako plugin.

---

Archos © 2025 — součást komunitního projektu `mxchat.cz`